commit:     a28f5caa72fdaab0695b7b60dd1cb77a604e23ba
Author:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 21 13:40:48 2023 +0000
Commit:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
CommitDate: Mon Aug 21 13:40:48 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a28f5caa

app-shells/yash: new upstream release

Signed-off-by: Akinori Hattori <hattya <AT> gentoo.org>

 app-shells/yash/Manifest         |  1 +
 app-shells/yash/yash-2.55.ebuild | 35 +++++++++++++++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/app-shells/yash/Manifest b/app-shells/yash/Manifest
index 16a94c16ebc0..9fb780d39bc4 100644
--- a/app-shells/yash/Manifest
+++ b/app-shells/yash/Manifest
@@ -1 +1,2 @@
 DIST yash-2.54.tar.xz 758916 BLAKE2B 
902bb06fa70be4980ea2a9def3cc910ff33d51350a37c5ec5a12fe7282a8e41e5a4a55bc45f66d3dd45b33cacc9af46110dc37c37d2978f686c3a1a7a8fd23b5
 SHA512 
360dc55782def4ce8c1a5cf12836ec86405dfbe338c6a623c8031e84f76da1bfa2e5a5ad05c1a62ea7b516681457d124398e2194e2d23824c19216eb3807e155
+DIST yash-2.55.tar.xz 761184 BLAKE2B 
a6a73a4055766f310724bd78670870eb96be9c34f79c177a80d86876512adfdd9d67bb28fadd113cd230db5a7eaaa91a1926d1b942297ca735e7390460b7a8c0
 SHA512 
9e92fc86884b0b315a98fcb5da0f319f431515185a970762946b919ccccc72aa8756e337dfa7cec763a7d8496bf4838eb9ef88664b35512180f13cc4146e9816

diff --git a/app-shells/yash/yash-2.55.ebuild b/app-shells/yash/yash-2.55.ebuild
new file mode 100644
index 000000000000..4567fed4b237
--- /dev/null
+++ b/app-shells/yash/yash-2.55.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+PLOCALES="en ja"
+
+inherit flag-o-matic plocale toolchain-funcs
+
+DESCRIPTION="Yash is a POSIX-compliant command line shell"
+HOMEPAGE="https://yash.osdn.jp/";
+SRC_URI="mirror://sourceforge.jp/${PN}/79124/${P}.tar.xz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~mips ~x86"
+IUSE="nls test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="sys-libs/ncurses:=
+       nls? ( virtual/libintl )"
+DEPEND="${RDEPEND}"
+BDEPEND="nls? ( sys-devel/gettext )
+       test? ( sys-apps/ed )"
+
+src_configure() {
+       append-cflags -std=c99
+
+       sh ./configure \
+               --prefix="${EPREFIX}"/usr \
+               --exec-prefix="${EPREFIX}" \
+               $(use_enable nls) \
+               CC="$(tc-getCC)" \
+               LINGUAS="$(plocale_get_locales | sed "s/en/en@quot 
en@boldquot/")" \
+               || die
+}

Reply via email to